function inicializar() {
    unasus.pack.initialize();

    var status = unasus.pack.getStatus();

    if (status === undefined) {
        status = createStatusDefault();
    }

    if (status === null) {
        return false;
    }
    /*Função para inserir a persistência da Váriavel NAVIGATION*/
    trackpage();
};

/* --------- STATUS -------- */

function createStatusDefault() {
    var status = new Object();
    status.status = "attended";
    status.percentage = 0;
    status.LTIvalue = 0;

    status.index = false;

    unasus.pack.setStatus(status);

    return status;
}

/* ---------- NAVIGATION ----------*/

function createDefaultNavigation() {
    var navegacao = new Object();

    navegacao.previous = "";
    navegacao.current = "";

    return navegacao;
}

/* --- TRACK PAGE --- */

function trackpage(slide, modal) {

    var navigation = new Object();
    var localizacao_atual = window.location.href.substr(window.location.href.lastIndexOf("/") + 1);
    var res_atual = localizacao_atual.replace(".html", "");

    res_atual = res_atual.replace("#", "");

    var old_navigation = unasus.pack.getPersistence('NAVIGATION');

    if (old_navigation === undefined) {
        old_navigation = createDefaultNavigation();
    }

    if (old_navigation === null) {
        return false;
    }

    if (slide) {
        res_atual = res_atual + "_slide" + slide;
    }

    if (modal) {
        res_atual = res_atual + "_" + modal;
    }

    if (res_atual !== old_navigation.current) {
        navigation.previous = old_navigation.current;
        navigation.current = res_atual;
        unasus.pack.setPersistence('NAVIGATION', navigation);
    }
}

/* --- VIDEO --- */

function createDefaultVideo() {

    //Aqui é carregado a partir do unasus.pack quais as resoluções disponíveis, definidas no arquivo json
    var resolutions = unasus.pack.getVideoResolutions();

    //Aqui é criado e armazenado um objeto video_default, uma vez que não foi encontrado nenhum vídeo armazenado na criação do old_video
    var video_default = new Object();

    if (resolutions) {
        video_default.resolution = resolutions[0];
    }else{
        video_default.resolution = '360p';
    }

    unasus.pack.setPersistence('VIDEO', video_default);

    return video_default;
}

/* --------------- Controle de Download --------------*/

function downloadControl(filetype, filename) {

    var download = new Object();

    var localizacao_atual = window.location.href.substr(window.location.href.lastIndexOf("/") + 1);
    var res_atual = localizacao_atual.replace(".html", "");

    download.current = res_atual;
    download.filetype = filetype;
    download.filename = filename;

    unasus.pack.setPersistence('DOWNLOAD', download);
}

/* --------------- Controle de Link Externo --------------*/

function externalLinkControl(url) {

    var link = new Object();

    var localizacao_atual = window.location.href.substr(window.location.href.lastIndexOf("/") + 1);
    var res_atual = localizacao_atual.replace(".html", "");

    link.current = res_atual;
    link.url = url;

    unasus.pack.setPersistence('EXTERNAL_LINK', link);
}